## [AKShare](https://github.com/akfamily/akshare) 现货数据

### 上海黄金交易所

#### 历史行情数据

接口: spot_hist_sge

目标地址: https://www.sge.com.cn/sjzx/mrhq

描述: 上海黄金交易所-数据资讯-行情走势-历史数据

限量: 单次返回指定 symbol 的所有历史数据

输入参数

| 名称     | 类型  | 描述                                                      |
|--------|-----|---------------------------------------------------------|
| symbol | str | symbol="Au99.99"; 可以通过 ak.spot_symbol_table_sge() 获取品种表 |

输出参数

| 名称    | 类型      | 描述  |
|-------|---------|-----|
| date  | object  | -   |
| open  | float64 | -   |
| close | float64 | -   |
| high  | float64 | -   |
| low   | float64 | -   |

接口示例

```python
import akshare as ak

spot_hist_sge_df = ak.spot_hist_sge(symbol='Au99.99')
print(spot_hist_sge_df)
```

数据示例

```
          date    open    close    high     low
0     2016-12-19  262.45  262.76  262.02  263.50
1     2016-12-20  262.88  262.06  261.42  263.70
2     2016-12-21  262.40  260.97  258.60  262.65
3     2016-12-22  261.18  260.00  259.05  261.18
4     2016-12-23  258.95  260.07  258.70  260.37
          ...     ...     ...     ...     ...
1200  2021-11-30  369.01  368.51  367.25  369.50
1201  2021-12-01  369.00  367.32  364.75  371.00
1202  2021-12-02  368.18  365.55  365.20  368.18
1203  2021-12-03  365.99  365.16  363.70  367.60
1204  2021-12-06  366.56  367.99  363.59  368.00
```

#### 上海金基准价

接口: spot_golden_benchmark_sge

目标地址: https://www.sge.com.cn/sjzx/jzj

描述: 上海黄金交易所-数据资讯-上海金基准价-历史数据

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 交易时间 | object  | -   |
| 晚盘价  | float64 | -   |
| 早盘价  | float64 | -   |

接口示例

```python
import akshare as ak

spot_golden_benchmark_sge_df = ak.spot_golden_benchmark_sge()
print(spot_golden_benchmark_sge_df)
```

数据示例

```
      交易时间     晚盘价     早盘价
0     2016-04-18  257.29  256.92
1     2016-04-19  259.97  261.15
2     2016-04-20  261.82  260.39
3     2016-04-21  260.41  261.32
4     2016-04-24  258.80  258.42
          ...     ...     ...
1367  2021-11-29  368.63  367.79
1368  2021-11-30  367.50  364.94
1369  2021-12-01  365.73  366.12
1370  2021-12-02  364.83  364.66
1371  2021-12-05  367.58  367.48
```

#### 上海银基准价

接口: spot_silver_benchmark_sge

目标地址: https://www.sge.com.cn/sjzx/shyjzj

描述: 上海黄金交易所-数据资讯-上海银基准价-历史数据

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 交易时间 | object  | -   |
| 晚盘价  | float64 | -   |
| 早盘价  | float64 | -   |

接口示例

```python
import akshare as ak

spot_silver_benchmark_sge_df = ak.spot_silver_benchmark_sge()
print(spot_silver_benchmark_sge_df)
```

数据示例

```
      交易时间     晚盘价   早盘价
0    2019-10-13  4286.0  4284.0
1    2019-10-14  4286.0  4301.0
2    2019-10-15  4222.0  4270.0
3    2019-10-16  4261.0  4244.0
4    2019-10-17  4271.0  4271.0
..          ...     ...     ...
519  2021-11-29  4698.0  4717.0
520  2021-11-30  4707.0  4661.0
521  2021-12-01  4617.0  4621.0
522  2021-12-02  4631.0  4628.0
523  2021-12-05  4656.0  4670.0
```
